<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:13 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>SingleEntryModuleLibrary (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="SingleEntryModuleLibrary (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/gradle/plugins/ide/idea/model/ProjectLibrary.html" title="class in org.gradle.plugins.ide.idea.model"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../../org/gradle/plugins/ide/idea/model/Workspace.html" title="class in org.gradle.plugins.ide.idea.model"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/gradle/plugins/ide/idea/model/SingleEntryModuleLibrary.html" target="_top">Frames</a></li>
<li><a href="SingleEntryModuleLibrary.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.plugins.ide.idea.model</div>
<h2 title="Class SingleEntryModuleLibrary" class="title">Class SingleEntryModuleLibrary</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../../org/gradle/plugins/ide/idea/model/ModuleLibrary.html" title="class in org.gradle.plugins.ide.idea.model">org.gradle.plugins.ide.idea.model.ModuleLibrary</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.plugins.ide.idea.model.SingleEntryModuleLibrary</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../../org/gradle/plugins/ide/idea/model/Dependency.html" title="interface in org.gradle.plugins.ide.idea.model">Dependency</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="strong">SingleEntryModuleLibrary</span>
extends <a href="../../../../../../org/gradle/plugins/ide/idea/model/ModuleLibrary.html" title="class in org.gradle.plugins.ide.idea.model">ModuleLibrary</a></pre>
<div class="block">Single entry module library</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/SingleEntryModuleLibrary.html#SingleEntryModuleLibrary(org.gradle.plugins.ide.idea.model.FilePath,%20org.gradle.plugins.ide.idea.model.FilePath,%20org.gradle.plugins.ide.idea.model.FilePath,%20java.lang.String)">SingleEntryModuleLibrary</a></strong>(<a href="../../../../../../org/gradle/plugins/ide/idea/model/FilePath.html" title="class in org.gradle.plugins.ide.idea.model">FilePath</a>&nbsp;library,
                        <a href="../../../../../../org/gradle/plugins/ide/idea/model/FilePath.html" title="class in org.gradle.plugins.ide.idea.model">FilePath</a>&nbsp;javadoc,
                        <a href="../../../../../../org/gradle/plugins/ide/idea/model/FilePath.html" title="class in org.gradle.plugins.ide.idea.model">FilePath</a>&nbsp;source,
                        <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;scope)</code>
<div class="block">Creates single entry module library</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/SingleEntryModuleLibrary.html#SingleEntryModuleLibrary(org.gradle.plugins.ide.idea.model.FilePath,%20java.util.Set,%20java.util.Set,%20java.lang.String)">SingleEntryModuleLibrary</a></strong>(<a href="../../../../../../org/gradle/plugins/ide/idea/model/FilePath.html" title="class in org.gradle.plugins.ide.idea.model">FilePath</a>&nbsp;library,
                        <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="../../../../../../org/gradle/plugins/ide/idea/model/FilePath.html" title="class in org.gradle.plugins.ide.idea.model">FilePath</a>&gt;&nbsp;javadoc,
                        <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="../../../../../../org/gradle/plugins/ide/idea/model/FilePath.html" title="class in org.gradle.plugins.ide.idea.model">FilePath</a>&gt;&nbsp;source,
                        <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;scope)</code>
<div class="block">Creates single entry module library</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/SingleEntryModuleLibrary.html#SingleEntryModuleLibrary(org.gradle.plugins.ide.idea.model.FilePath,%20java.lang.String)">SingleEntryModuleLibrary</a></strong>(<a href="../../../../../../org/gradle/plugins/ide/idea/model/FilePath.html" title="class in org.gradle.plugins.ide.idea.model">FilePath</a>&nbsp;library,
                        <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;scope)</code>
<div class="block">Creates single entry module library</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/SingleEntryModuleLibrary.html#getJavadocFile()">getJavadocFile</a></strong>()</code>
<div class="block">Returns a single javadoc jar or javadoc folder</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/SingleEntryModuleLibrary.html#getLibraryFile()">getLibraryFile</a></strong>()</code>
<div class="block">Returns a single jar or class folder</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/gradle/api/artifacts/ModuleVersionIdentifier.html" title="interface in org.gradle.api.artifacts">ModuleVersionIdentifier</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/SingleEntryModuleLibrary.html#getModuleVersion()">getModuleVersion</a></strong>()</code>
<div class="block">Module version of the library, if any.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/SingleEntryModuleLibrary.html#getSourceFile()">getSourceFile</a></strong>()</code>
<div class="block">Returns a single source jar or source folder</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/SingleEntryModuleLibrary.html#setModuleVersion(org.gradle.api.artifacts.ModuleVersionIdentifier)">setModuleVersion</a></strong>(<a href="../../../../../../org/gradle/api/artifacts/ModuleVersionIdentifier.html" title="interface in org.gradle.api.artifacts">ModuleVersionIdentifier</a>&nbsp;moduleVersion)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.plugins.ide.idea.model.ModuleLibrary">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.gradle.plugins.ide.idea.model.<a href="../../../../../../org/gradle/plugins/ide/idea/model/ModuleLibrary.html" title="class in org.gradle.plugins.ide.idea.model">ModuleLibrary</a></h3>
<code><a href="../../../../../../org/gradle/plugins/ide/idea/model/ModuleLibrary.html#addToNode(groovy.util.Node)">addToNode</a>, <a href="../../../../../../org/gradle/plugins/ide/idea/model/ModuleLibrary.html#equals(java.lang.Object)">equals</a>, <a href="../../../../../../org/gradle/plugins/ide/idea/model/ModuleLibrary.html#getClasses()">getClasses</a>, <a href="../../../../../../org/gradle/plugins/ide/idea/model/ModuleLibrary.html#getJarDirectories()">getJarDirectories</a>, <a href="../../../../../../org/gradle/plugins/ide/idea/model/ModuleLibrary.html#getJavadoc()">getJavadoc</a>, <a href="../../../../../../org/gradle/plugins/ide/idea/model/ModuleLibrary.html#getScope()">getScope</a>, <a href="../../../../../../org/gradle/plugins/ide/idea/model/ModuleLibrary.html#getSources()">getSources</a>, <a href="../../../../../../org/gradle/plugins/ide/idea/model/ModuleLibrary.html#hashCode()">hashCode</a>, <a href="../../../../../../org/gradle/plugins/ide/idea/model/ModuleLibrary.html#isExported()">isExported</a>, <a href="../../../../../../org/gradle/plugins/ide/idea/model/ModuleLibrary.html#setClasses(java.util.Set)">setClasses</a>, <a href="../../../../../../org/gradle/plugins/ide/idea/model/ModuleLibrary.html#setExported(boolean)">setExported</a>, <a href="../../../../../../org/gradle/plugins/ide/idea/model/ModuleLibrary.html#setJarDirectories(java.util.Set)">setJarDirectories</a>, <a href="../../../../../../org/gradle/plugins/ide/idea/model/ModuleLibrary.html#setJavadoc(java.util.Set)">setJavadoc</a>, <a href="../../../../../../org/gradle/plugins/ide/idea/model/ModuleLibrary.html#setScope(java.lang.String)">setScope</a>, <a href="../../../../../../org/gradle/plugins/ide/idea/model/ModuleLibrary.html#setSources(java.util.Set)">setSources</a>, <a href="../../../../../../org/gradle/plugins/ide/idea/model/ModuleLibrary.html#toString()">toString</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long,%20int)" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="SingleEntryModuleLibrary(org.gradle.plugins.ide.idea.model.FilePath, java.util.Set, java.util.Set, java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SingleEntryModuleLibrary</h4>
<pre>public&nbsp;SingleEntryModuleLibrary(<a href="../../../../../../org/gradle/plugins/ide/idea/model/FilePath.html" title="class in org.gradle.plugins.ide.idea.model">FilePath</a>&nbsp;library,
                        <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="../../../../../../org/gradle/plugins/ide/idea/model/FilePath.html" title="class in org.gradle.plugins.ide.idea.model">FilePath</a>&gt;&nbsp;javadoc,
                        <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="../../../../../../org/gradle/plugins/ide/idea/model/FilePath.html" title="class in org.gradle.plugins.ide.idea.model">FilePath</a>&gt;&nbsp;source,
                        <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;scope)</pre>
<div class="block">Creates single entry module library</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>library</code> - a path to jar or class folder in idea format</dd><dd><code>javadoc</code> - paths to javadoc jars or javadoc folders</dd><dd><code>source</code> - paths to source jars or source folders</dd><dd><code>scope</code> - scope</dd></dl>
</li>
</ul>
<a name="SingleEntryModuleLibrary(org.gradle.plugins.ide.idea.model.FilePath, org.gradle.plugins.ide.idea.model.FilePath, org.gradle.plugins.ide.idea.model.FilePath, java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SingleEntryModuleLibrary</h4>
<pre>public&nbsp;SingleEntryModuleLibrary(<a href="../../../../../../org/gradle/plugins/ide/idea/model/FilePath.html" title="class in org.gradle.plugins.ide.idea.model">FilePath</a>&nbsp;library,
                        <a href="https://docs.oracle.com/javase/7/docs/api/javax/annotation/Nullable.html?is-external=true" title="class or interface in javax.annotation">@Nullable</a>
                        <a href="../../../../../../org/gradle/plugins/ide/idea/model/FilePath.html" title="class in org.gradle.plugins.ide.idea.model">FilePath</a>&nbsp;javadoc,
                        <a href="https://docs.oracle.com/javase/7/docs/api/javax/annotation/Nullable.html?is-external=true" title="class or interface in javax.annotation">@Nullable</a>
                        <a href="../../../../../../org/gradle/plugins/ide/idea/model/FilePath.html" title="class in org.gradle.plugins.ide.idea.model">FilePath</a>&nbsp;source,
                        <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;scope)</pre>
<div class="block">Creates single entry module library</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>library</code> - a path to jar or class folder in idea format</dd><dd><code>javadoc</code> - path to javadoc jars or javadoc folders</dd><dd><code>source</code> - paths to source jars or source folders</dd><dd><code>scope</code> - scope</dd></dl>
</li>
</ul>
<a name="SingleEntryModuleLibrary(org.gradle.plugins.ide.idea.model.FilePath, java.lang.String)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>SingleEntryModuleLibrary</h4>
<pre>public&nbsp;SingleEntryModuleLibrary(<a href="../../../../../../org/gradle/plugins/ide/idea/model/FilePath.html" title="class in org.gradle.plugins.ide.idea.model">FilePath</a>&nbsp;library,
                        <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;scope)</pre>
<div class="block">Creates single entry module library</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>library</code> - a path to jar or class folder in Path format</dd><dd><code>scope</code> - scope</dd></dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getModuleVersion()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getModuleVersion</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/javax/annotation/Nullable.html?is-external=true" title="class or interface in javax.annotation">@Nullable</a>
public&nbsp;<a href="../../../../../../org/gradle/api/artifacts/ModuleVersionIdentifier.html" title="interface in org.gradle.api.artifacts">ModuleVersionIdentifier</a>&nbsp;getModuleVersion()</pre>
<div class="block">Module version of the library, if any.</div>
</li>
</ul>
<a name="setModuleVersion(org.gradle.api.artifacts.ModuleVersionIdentifier)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setModuleVersion</h4>
<pre>public&nbsp;void&nbsp;setModuleVersion(<a href="https://docs.oracle.com/javase/7/docs/api/javax/annotation/Nullable.html?is-external=true" title="class or interface in javax.annotation">@Nullable</a>
                    <a href="../../../../../../org/gradle/api/artifacts/ModuleVersionIdentifier.html" title="interface in org.gradle.api.artifacts">ModuleVersionIdentifier</a>&nbsp;moduleVersion)</pre>
</li>
</ul>
<a name="getLibraryFile()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLibraryFile</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;getLibraryFile()</pre>
<div class="block">Returns a single jar or class folder</div>
</li>
</ul>
<a name="getJavadocFile()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getJavadocFile</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;getJavadocFile()</pre>
<div class="block">Returns a single javadoc jar or javadoc folder</div>
</li>
</ul>
<a name="getSourceFile()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getSourceFile</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;getSourceFile()</pre>
<div class="block">Returns a single source jar or source folder</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/gradle/plugins/ide/idea/model/ProjectLibrary.html" title="class in org.gradle.plugins.ide.idea.model"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../../org/gradle/plugins/ide/idea/model/Workspace.html" title="class in org.gradle.plugins.ide.idea.model"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/gradle/plugins/ide/idea/model/SingleEntryModuleLibrary.html" target="_top">Frames</a></li>
<li><a href="SingleEntryModuleLibrary.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
